% test 1, tema 1, 521230, S2-2012, preg 2

% averiguar valores de a en -1:0.2:1 para los cuales el metodo de
% Gauss-Seidel converge
avalues = -1:0.2:1;
gs = test1_matrizAa(avalues,30);
% ver gs
gs
  
% resolver sistema con a = 0.4
avalues = [0.4];
n = 30;
d = 2*ones(n,1);
x0 = zeros(n,1);

for a = avalues
    Aa = create_trid(n,1,a,a);
    [solgs,conv,it] = gaussseidelsol(Aa,d,x0,1e-6,100);
    if ~conv
        disp('error en test')
    else
        a
        it
        condicion2 = cond(Aa)
        resrel = norm(d-Aa*solgs)/norm(d)
        condicion2*resrel
    end
end
    